Health Ready
GET
/health/ready
const url = 'https://api.ultimateteam.ai/health/ready';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/health/ready \ --header 'X-API-Key: <X-API-Key>'Unauthenticated readiness probe for Cloud Run.
Checks core subsystems (DB + Redis) without requiring an auth token so that Cloud Run readiness probes can determine whether the instance is ready to serve traffic.
Returns:
200 with {"status": "ready"} when all checks pass.
503 with {"status": "degraded"} when any check fails.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Examplegenerated
example